package com.mortals.xhx.module.monitor.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.monitor.model.MonitorAlarmEntity;
/**
* 监测预警记录查询对象
*
* @author zxfei
* @date 2023-04-15
*/
public class MonitorAlarmQuery extends MonitorAlarmEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 人员id */
    private Long personIdStart;

    /** 结束 人员id */
    private Long personIdEnd;

    /** 增加 人员id */
    private Long personIdIncrement;

    /** 人员id列表 */
    private List <Long> personIdList;

    /** 人员id排除列表 */
    private List <Long> personIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactList;

    /** 联系方式排除列表 */
    private List <String> contactNotList;
    /** 身份证号码 */
    private List<String> idNumberList;

    /** 身份证号码排除列表 */
    private List <String> idNumberNotList;
    /** 开始 识别频次 */
    private Integer identifyNumStart;

    /** 结束 识别频次 */
    private Integer identifyNumEnd;

    /** 增加 识别频次 */
    private Integer identifyNumIncrement;

    /** 识别频次列表 */
    private List <Integer> identifyNumList;

    /** 识别频次排除列表 */
    private List <Integer> identifyNumNotList;

    /** 开始 最后识别时间 */
    private String lastIdentifyTimeStart;

    /** 结束 最后识别时间 */
    private String lastIdentifyTimeEnd;

    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MonitorAlarmQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MonitorAlarmQuery> andConditionList;

    public MonitorAlarmQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 人员id
    * @return personIdStart
    */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
    * 设置 开始 人员id
    * @param personIdStart
    */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
    * 获取 结束 人员id
    * @return $personIdEnd
    */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
    * 设置 结束 人员id
    * @param personIdEnd
    */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
    * 获取 增加 人员id
    * @return personIdIncrement
    */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
    * 设置 增加 人员id
    * @param personIdIncrement
    */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
    * 获取 人员id
    * @return personIdList
    */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
    * 设置 人员id
    * @param personIdList
    */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
    * 获取 人员id
    * @return personIdNotList
    */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
    * 设置 人员id
    * @param personIdNotList
    */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 联系方式
    * @return contactList
    */
    public List<String> getContactList(){
        return this.contactList;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public void setContactList(List<String> contactList){
        this.contactList = contactList;
    }

    /**
    * 获取 联系方式
    * @return contactNotList
    */
    public List<String> getContactNotList(){
        return this.contactNotList;
    }

    /**
    * 设置 联系方式
    * @param contactNotList
    */
    public void setContactNotList(List<String> contactNotList){
        this.contactNotList = contactNotList;
    }

    /**
    * 获取 身份证号码
    * @return idNumberList
    */
    public List<String> getIdNumberList(){
        return this.idNumberList;
    }

    /**
    * 设置 身份证号码
    * @param idNumberList
    */
    public void setIdNumberList(List<String> idNumberList){
        this.idNumberList = idNumberList;
    }

    /**
    * 获取 身份证号码
    * @return idNumberNotList
    */
    public List<String> getIdNumberNotList(){
        return this.idNumberNotList;
    }

    /**
    * 设置 身份证号码
    * @param idNumberNotList
    */
    public void setIdNumberNotList(List<String> idNumberNotList){
        this.idNumberNotList = idNumberNotList;
    }

    /**
    * 获取 开始 识别频次
    * @return identifyNumStart
    */
    public Integer getIdentifyNumStart(){
        return this.identifyNumStart;
    }

    /**
    * 设置 开始 识别频次
    * @param identifyNumStart
    */
    public void setIdentifyNumStart(Integer identifyNumStart){
        this.identifyNumStart = identifyNumStart;
    }

    /**
    * 获取 结束 识别频次
    * @return $identifyNumEnd
    */
    public Integer getIdentifyNumEnd(){
        return this.identifyNumEnd;
    }

    /**
    * 设置 结束 识别频次
    * @param identifyNumEnd
    */
    public void setIdentifyNumEnd(Integer identifyNumEnd){
        this.identifyNumEnd = identifyNumEnd;
    }

    /**
    * 获取 增加 识别频次
    * @return identifyNumIncrement
    */
    public Integer getIdentifyNumIncrement(){
        return this.identifyNumIncrement;
    }

    /**
    * 设置 增加 识别频次
    * @param identifyNumIncrement
    */
    public void setIdentifyNumIncrement(Integer identifyNumIncrement){
        this.identifyNumIncrement = identifyNumIncrement;
    }

    /**
    * 获取 识别频次
    * @return identifyNumList
    */
    public List<Integer> getIdentifyNumList(){
        return this.identifyNumList;
    }

    /**
    * 设置 识别频次
    * @param identifyNumList
    */
    public void setIdentifyNumList(List<Integer> identifyNumList){
        this.identifyNumList = identifyNumList;
    }

    /**
    * 获取 识别频次
    * @return identifyNumNotList
    */
    public List<Integer> getIdentifyNumNotList(){
        return this.identifyNumNotList;
    }

    /**
    * 设置 识别频次
    * @param identifyNumNotList
    */
    public void setIdentifyNumNotList(List<Integer> identifyNumNotList){
        this.identifyNumNotList = identifyNumNotList;
    }


    /**
    * 获取 开始 最后识别时间
    * @return lastIdentifyTimeStart
    */
    public String getLastIdentifyTimeStart(){
        return this.lastIdentifyTimeStart;
    }

    /**
    * 设置 开始 最后识别时间
    * @param lastIdentifyTimeStart
    */
    public void setLastIdentifyTimeStart(String lastIdentifyTimeStart){
        this.lastIdentifyTimeStart = lastIdentifyTimeStart;
    }

    /**
    * 获取 结束 最后识别时间
    * @return lastIdentifyTimeEnd
    */
    public String getLastIdentifyTimeEnd(){
        return this.lastIdentifyTimeEnd;
    }

    /**
    * 设置 结束 最后识别时间
    * @param lastIdentifyTimeEnd
    */
    public void setLastIdentifyTimeEnd(String lastIdentifyTimeEnd){
        this.lastIdentifyTimeEnd = lastIdentifyTimeEnd;
    }

    /**
    * 获取 开始 年
    * @return yearStart
    */
    public Integer getYearStart(){
        return this.yearStart;
    }

    /**
    * 设置 开始 年
    * @param yearStart
    */
    public void setYearStart(Integer yearStart){
        this.yearStart = yearStart;
    }

    /**
    * 获取 结束 年
    * @return $yearEnd
    */
    public Integer getYearEnd(){
        return this.yearEnd;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public void setYearEnd(Integer yearEnd){
        this.yearEnd = yearEnd;
    }

    /**
    * 获取 增加 年
    * @return yearIncrement
    */
    public Integer getYearIncrement(){
        return this.yearIncrement;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public void setYearIncrement(Integer yearIncrement){
        this.yearIncrement = yearIncrement;
    }

    /**
    * 获取 年
    * @return yearList
    */
    public List<Integer> getYearList(){
        return this.yearList;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public void setYearList(List<Integer> yearList){
        this.yearList = yearList;
    }

    /**
    * 获取 年
    * @return yearNotList
    */
    public List<Integer> getYearNotList(){
        return this.yearNotList;
    }

    /**
    * 设置 年
    * @param yearNotList
    */
    public void setYearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
    }


    /**
    * 获取 开始 月
    * @return monthStart
    */
    public Integer getMonthStart(){
        return this.monthStart;
    }

    /**
    * 设置 开始 月
    * @param monthStart
    */
    public void setMonthStart(Integer monthStart){
        this.monthStart = monthStart;
    }

    /**
    * 获取 结束 月
    * @return $monthEnd
    */
    public Integer getMonthEnd(){
        return this.monthEnd;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public void setMonthEnd(Integer monthEnd){
        this.monthEnd = monthEnd;
    }

    /**
    * 获取 增加 月
    * @return monthIncrement
    */
    public Integer getMonthIncrement(){
        return this.monthIncrement;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public void setMonthIncrement(Integer monthIncrement){
        this.monthIncrement = monthIncrement;
    }

    /**
    * 获取 月
    * @return monthList
    */
    public List<Integer> getMonthList(){
        return this.monthList;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public void setMonthList(List<Integer> monthList){
        this.monthList = monthList;
    }

    /**
    * 获取 月
    * @return monthNotList
    */
    public List<Integer> getMonthNotList(){
        return this.monthNotList;
    }

    /**
    * 设置 月
    * @param monthNotList
    */
    public void setMonthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
    }


    /**
    * 获取 开始 日
    * @return dayStart
    */
    public Integer getDayStart(){
        return this.dayStart;
    }

    /**
    * 设置 开始 日
    * @param dayStart
    */
    public void setDayStart(Integer dayStart){
        this.dayStart = dayStart;
    }

    /**
    * 获取 结束 日
    * @return $dayEnd
    */
    public Integer getDayEnd(){
        return this.dayEnd;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public void setDayEnd(Integer dayEnd){
        this.dayEnd = dayEnd;
    }

    /**
    * 获取 增加 日
    * @return dayIncrement
    */
    public Integer getDayIncrement(){
        return this.dayIncrement;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public void setDayIncrement(Integer dayIncrement){
        this.dayIncrement = dayIncrement;
    }

    /**
    * 获取 日
    * @return dayList
    */
    public List<Integer> getDayList(){
        return this.dayList;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public void setDayList(List<Integer> dayList){
        this.dayList = dayList;
    }

    /**
    * 获取 日
    * @return dayNotList
    */
    public List<Integer> getDayNotList(){
        return this.dayNotList;
    }

    /**
    * 设置 日
    * @param dayNotList
    */
    public void setDayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public MonitorAlarmQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public MonitorAlarmQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public MonitorAlarmQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public MonitorAlarmQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public MonitorAlarmQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public MonitorAlarmQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public MonitorAlarmQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public MonitorAlarmQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public MonitorAlarmQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public MonitorAlarmQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public MonitorAlarmQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public MonitorAlarmQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public MonitorAlarmQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public MonitorAlarmQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  人员id
    * @param personId
    */
    public MonitorAlarmQuery personId(Long personId){
	    setPersonId(personId);
		return this;
    }
	
	 /**
    * 设置 开始 人员id
    * @param personIdStart
    */
    public MonitorAlarmQuery personIdStart(Long personIdStart){
		this.personIdStart = personIdStart;
		return this;
    }

    /**
    * 设置 结束 人员id
    * @param personIdEnd
    */
    public MonitorAlarmQuery personIdEnd(Long personIdEnd){
		this.personIdEnd = personIdEnd;
		return this;
    }

    /**
    * 设置 增加 人员id
    * @param personIdIncrement
    */
    public MonitorAlarmQuery personIdIncrement(Long personIdIncrement){
		this.personIdIncrement = personIdIncrement;
		return this;
    }

    /**
    * 设置 人员id
    * @param personIdList
    */
    public MonitorAlarmQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
		return this;
        }

        /**
        * 设置 人员id
        * @param personIdNotList
        */
        public MonitorAlarmQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
        }


	/**
    * 设置 姓名
    * @param name
    */
    public MonitorAlarmQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public MonitorAlarmQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param contact
    */
    public MonitorAlarmQuery contact(String contact){
        setContact(contact);
		return this;
    }

    /**
    * 设置 联系方式
    * @param contactList
    */
    public MonitorAlarmQuery contactList(List<String> contactList){
        this.contactList = contactList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idNumber
    */
    public MonitorAlarmQuery idNumber(String idNumber){
        setIdNumber(idNumber);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idNumberList
    */
    public MonitorAlarmQuery idNumberList(List<String> idNumberList){
        this.idNumberList = idNumberList;
		return this;
    }

    /**
    * 设置  识别频次
    * @param identifyNum
    */
    public MonitorAlarmQuery identifyNum(Integer identifyNum){
	    setIdentifyNum(identifyNum);
		return this;
    }
	
	 /**
    * 设置 开始 识别频次
    * @param identifyNumStart
    */
    public MonitorAlarmQuery identifyNumStart(Integer identifyNumStart){
		this.identifyNumStart = identifyNumStart;
		return this;
    }

    /**
    * 设置 结束 识别频次
    * @param identifyNumEnd
    */
    public MonitorAlarmQuery identifyNumEnd(Integer identifyNumEnd){
		this.identifyNumEnd = identifyNumEnd;
		return this;
    }

    /**
    * 设置 增加 识别频次
    * @param identifyNumIncrement
    */
    public MonitorAlarmQuery identifyNumIncrement(Integer identifyNumIncrement){
		this.identifyNumIncrement = identifyNumIncrement;
		return this;
    }

    /**
    * 设置 识别频次
    * @param identifyNumList
    */
    public MonitorAlarmQuery identifyNumList(List<Integer> identifyNumList){
        this.identifyNumList = identifyNumList;
		return this;
        }

        /**
        * 设置 识别频次
        * @param identifyNumNotList
        */
        public MonitorAlarmQuery identifyNumNotList(List<Integer> identifyNumNotList){
        this.identifyNumNotList = identifyNumNotList;
        return this;
        }


    /**
    * 设置  年
    * @param year
    */
    public MonitorAlarmQuery year(Integer year){
	    setYear(year);
		return this;
    }
	
	 /**
    * 设置 开始 年
    * @param yearStart
    */
    public MonitorAlarmQuery yearStart(Integer yearStart){
		this.yearStart = yearStart;
		return this;
    }

    /**
    * 设置 结束 年
    * @param yearEnd
    */
    public MonitorAlarmQuery yearEnd(Integer yearEnd){
		this.yearEnd = yearEnd;
		return this;
    }

    /**
    * 设置 增加 年
    * @param yearIncrement
    */
    public MonitorAlarmQuery yearIncrement(Integer yearIncrement){
		this.yearIncrement = yearIncrement;
		return this;
    }

    /**
    * 设置 年
    * @param yearList
    */
    public MonitorAlarmQuery yearList(List<Integer> yearList){
        this.yearList = yearList;
		return this;
        }

        /**
        * 设置 年
        * @param yearNotList
        */
        public MonitorAlarmQuery yearNotList(List<Integer> yearNotList){
        this.yearNotList = yearNotList;
        return this;
        }

    /**
    * 设置  月
    * @param month
    */
    public MonitorAlarmQuery month(Integer month){
	    setMonth(month);
		return this;
    }
	
	 /**
    * 设置 开始 月
    * @param monthStart
    */
    public MonitorAlarmQuery monthStart(Integer monthStart){
		this.monthStart = monthStart;
		return this;
    }

    /**
    * 设置 结束 月
    * @param monthEnd
    */
    public MonitorAlarmQuery monthEnd(Integer monthEnd){
		this.monthEnd = monthEnd;
		return this;
    }

    /**
    * 设置 增加 月
    * @param monthIncrement
    */
    public MonitorAlarmQuery monthIncrement(Integer monthIncrement){
		this.monthIncrement = monthIncrement;
		return this;
    }

    /**
    * 设置 月
    * @param monthList
    */
    public MonitorAlarmQuery monthList(List<Integer> monthList){
        this.monthList = monthList;
		return this;
        }

        /**
        * 设置 月
        * @param monthNotList
        */
        public MonitorAlarmQuery monthNotList(List<Integer> monthNotList){
        this.monthNotList = monthNotList;
        return this;
        }

    /**
    * 设置  日
    * @param day
    */
    public MonitorAlarmQuery day(Integer day){
	    setDay(day);
		return this;
    }
	
	 /**
    * 设置 开始 日
    * @param dayStart
    */
    public MonitorAlarmQuery dayStart(Integer dayStart){
		this.dayStart = dayStart;
		return this;
    }

    /**
    * 设置 结束 日
    * @param dayEnd
    */
    public MonitorAlarmQuery dayEnd(Integer dayEnd){
		this.dayEnd = dayEnd;
		return this;
    }

    /**
    * 设置 增加 日
    * @param dayIncrement
    */
    public MonitorAlarmQuery dayIncrement(Integer dayIncrement){
		this.dayIncrement = dayIncrement;
		return this;
    }

    /**
    * 设置 日
    * @param dayList
    */
    public MonitorAlarmQuery dayList(List<Integer> dayList){
        this.dayList = dayList;
		return this;
        }

        /**
        * 设置 日
        * @param dayNotList
        */
        public MonitorAlarmQuery dayNotList(List<Integer> dayNotList){
        this.dayNotList = dayNotList;
        return this;
        }


    /**
    * 设置  创建人id
    * @param createUserId
    */
    public MonitorAlarmQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public MonitorAlarmQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public MonitorAlarmQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public MonitorAlarmQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public MonitorAlarmQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public MonitorAlarmQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public MonitorAlarmQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public MonitorAlarmQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public MonitorAlarmQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public MonitorAlarmQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public MonitorAlarmQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public MonitorAlarmQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MonitorAlarmQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MonitorAlarmQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MonitorAlarmQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MonitorAlarmQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}